package org.kne.debug;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Hashtable;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

public class TimeDebugger {
	Map<String,Long> l=new LinkedHashMap<String,Long>();
	long tmp=-1;
	public void putTime(String name){
		
		long v=System.nanoTime();
		if(tmp==-1){
			l.put(name,  0l);
		}else{
			l.put(name,  v-tmp);
		}
		tmp=v;
	}
	public void print(){
		System.err.println(l+"(ns)");
	}
}
